const {
    GraphQLObjectType,
    GraphQLInt,
    GraphQLString,
    GraphQLList,
    GraphQLID
  } = require('graphql');
  
var GraphQLDate = require('graphql-date')  
  
const  db  = require('../../models');
const User = db.users;



const UserType = new GraphQLObjectType({
  name: 'User',
  description: 'This represents a User',
  // all the fields a Ad can have
  fields: () => ({
      
          id: {
              type: GraphQLID
          },
          username: {
              type: GraphQLString
          },
          email: {
            type: GraphQLString
        },
        password: {
            type: GraphQLString
        }
  })
 });
  
  module.exports =  UserType 